org.modeshape.sequencer.ddl.dialect.postgres

## Class PostgresDdlLexicon

- java.lang.Object
- - org.modeshape.sequencer.ddl.StandardDdlLexicon
  - - org.modeshape.sequencer.ddl.dialect.postgres.PostgresDdlLexicon

-     public class PostgresDdlLexicon
      extends StandardDdlLexicon

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PostgresDdlLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMENT`
    `static String` | `FUNCTION_PARAMETER_MODE`
    `static String` | `ROLE`
    `static String` | `SCHEMA_NAME`
    `static String` | `TARGET_OBJECT_NAME`
    `static String` | `TARGET_OBJECT_TYPE`
    `static String` | `TYPE_ABORT_STATEMENT`
    `static String` | `TYPE_ALTER_AGGREGATE_STATEMENT`
    `static String` | `TYPE_ALTER_CONVERSION_STATEMENT`
    `static String` | `TYPE_ALTER_DATABASE_STATEMENT`
    `static String` | `TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT`
    `static String` | `TYPE_ALTER_FUNCTION_STATEMENT`
    `static String` | `TYPE_ALTER_GROUP_STATEMENT`
    `static String` | `TYPE_ALTER_INDEX_STATEMENT`
    `static String` | `TYPE_ALTER_LANGUAGE_STATEMENT`
    `static String` | `TYPE_ALTER_OPERATOR_STATEMENT`
    `static String` | `TYPE_ALTER_ROLE_STATEMENT`
    `static String` | `TYPE_ALTER_SCHEMA_STATEMENT`
    `static String` | `TYPE_ALTER_SEQUENCE_STATEMENT`
    `static String` | `TYPE_ALTER_SERVER_STATEMENT`
    `static String` | `TYPE_ALTER_TABLE_STATEMENT_POSTGRES`
    `static String` | `TYPE_ALTER_TABLESPACE_STATEMENT`
    `static String` | `TYPE_ALTER_TEXT_SEARCH_STATEMENT`
    `static String` | `TYPE_ALTER_TRIGGER_STATEMENT`
    `static String` | `TYPE_ALTER_TYPE_STATEMENT`
    `static String` | `TYPE_ALTER_USER_MAPPING_STATEMENT`
    `static String` | `TYPE_ALTER_USER_STATEMENT`
    `static String` | `TYPE_ALTER_VIEW_STATEMENT`
    `static String` | `TYPE_ANALYZE_STATEMENT`
    `static String` | `TYPE_CLUSTER_STATEMENT`
    `static String` | `TYPE_COMMENT_ON_STATEMENT`
    `static String` | `TYPE_COMMIT_STATEMENT`
    `static String` | `TYPE_COPY_STATEMENT`
    `static String` | `TYPE_CREATE_AGGREGATE_STATEMENT`
    `static String` | `TYPE_CREATE_CAST_STATEMENT`
    `static String` | `TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT`
    `static String` | `TYPE_CREATE_CONVERSION_STATEMENT`
    `static String` | `TYPE_CREATE_DATABASE_STATEMENT`
    `static String` | `TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT`
    `static String` | `TYPE_CREATE_FUNCTION_STATEMENT`
    `static String` | `TYPE_CREATE_GROUP_STATEMENT`
    `static String` | `TYPE_CREATE_INDEX_STATEMENT`
    `static String` | `TYPE_CREATE_LANGUAGE_STATEMENT`
    `static String` | `TYPE_CREATE_OPERATOR_STATEMENT`
    `static String` | `TYPE_CREATE_ROLE_STATEMENT`
    `static String` | `TYPE_CREATE_RULE_STATEMENT`
    `static String` | `TYPE_CREATE_SEQUENCE_STATEMENT`
    `static String` | `TYPE_CREATE_SERVER_STATEMENT`
    `static String` | `TYPE_CREATE_TABLESPACE_STATEMENT`
    `static String` | `TYPE_CREATE_TEXT_SEARCH_STATEMENT`
    `static String` | `TYPE_CREATE_TRIGGER_STATEMENT`
    `static String` | `TYPE_CREATE_TYPE_STATEMENT`
    `static String` | `TYPE_CREATE_USER_MAPPING_STATEMENT`
    `static String` | `TYPE_CREATE_USER_STATEMENT`
    `static String` | `TYPE_DEALLOCATE_STATEMENT`
    `static String` | `TYPE_DECLARE_STATEMENT`
    `static String` | `TYPE_DROP_AGGREGATE_STATEMENT`
    `static String` | `TYPE_DROP_CAST_STATEMENT`
    `static String` | `TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT`
    `static String` | `TYPE_DROP_CONVERSION_STATEMENT`
    `static String` | `TYPE_DROP_DATABASE_STATEMENT`
    `static String` | `TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT`
    `static String` | `TYPE_DROP_FUNCTION_STATEMENT`
    `static String` | `TYPE_DROP_GROUP_STATEMENT`
    `static String` | `TYPE_DROP_INDEX_STATEMENT`
    `static String` | `TYPE_DROP_LANGUAGE_STATEMENT`
    `static String` | `TYPE_DROP_OPERATOR_STATEMENT`
    `static String` | `TYPE_DROP_OWNED_BY_STATEMENT`
    `static String` | `TYPE_DROP_ROLE_STATEMENT`
    `static String` | `TYPE_DROP_RULE_STATEMENT`
    `static String` | `TYPE_DROP_SEQUENCE_STATEMENT`
    `static String` | `TYPE_DROP_SERVER_STATEMENT`
    `static String` | `TYPE_DROP_TABLESPACE_STATEMENT`
    `static String` | `TYPE_DROP_TEXT_SEARCH_STATEMENT`
    `static String` | `TYPE_DROP_TRIGGER_STATEMENT`
    `static String` | `TYPE_DROP_TYPE_STATEMENT`
    `static String` | `TYPE_DROP_USER_MAPPING_STATEMENT`
    `static String` | `TYPE_DROP_USER_STATEMENT`
    `static String` | `TYPE_EXPLAIN_STATEMENT`
    `static String` | `TYPE_FETCH_STATEMENT`
    `static String` | `TYPE_FUNCTION_PARAMETER`
    `static String` | `TYPE_GRANT_ON_DATABASE_STATEMENT`
    `static String` | `TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT`
    `static String` | `TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT`
    `static String` | `TYPE_GRANT_ON_FUNCTION_STATEMENT`
    `static String` | `TYPE_GRANT_ON_LANGUAGE_STATEMENT`
    `static String` | `TYPE_GRANT_ON_SCHEMA_STATEMENT`
    `static String` | `TYPE_GRANT_ON_SEQUENCE_STATEMENT`
    `static String` | `TYPE_GRANT_ON_TABLESPACE_STATEMENT`
    `static String` | `TYPE_GRANT_ROLES_STATEMENT`
    `static String` | `TYPE_LISTEN_STATEMENT`
    `static String` | `TYPE_LOAD_STATEMENT`
    `static String` | `TYPE_LOCK_TABLE_STATEMENT`
    `static String` | `TYPE_MOVE_STATEMENT`
    `static String` | `TYPE_NOTIFY_STATEMENT`
    `static String` | `TYPE_PREPARE_STATEMENT`
    `static String` | `TYPE_REASSIGN_OWNED_STATEMENT`
    `static String` | `TYPE_REINDEX_STATEMENT`
    `static String` | `TYPE_RELEASE_SAVEPOINT_STATEMENT`
    `static String` | `TYPE_RENAME_COLUMN`
    `static String` | `TYPE_ROLLBACK_STATEMENT`
    `static String` | `TYPE_SELECT_INTO_STATEMENT`
    `static String` | `TYPE_SHOW_STATEMENT`
    `static String` | `TYPE_TRUNCATE_STATEMENT`
    `static String` | `TYPE_UNLISTEN_STATEMENT`
    `static String` | `TYPE_VACUUM_STATEMENT`

    - ### Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon

      `ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_PROBLEM, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CONSTRAINT_ATTRIBUTE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_OPTION, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_REVOKE_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresDdlLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CREATE_AGGREGATE_STATEMENT

          public static final String TYPE_CREATE_AGGREGATE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_CAST_STATEMENT

          public static final String TYPE_CREATE_CAST_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT

          public static final String TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_CONVERSION_STATEMENT

          public static final String TYPE_CREATE_CONVERSION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_DATABASE_STATEMENT

          public static final String TYPE_CREATE_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT

          public static final String TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_FUNCTION_STATEMENT

          public static final String TYPE_CREATE_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_GROUP_STATEMENT

          public static final String TYPE_CREATE_GROUP_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_INDEX_STATEMENT

          public static final String TYPE_CREATE_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_LANGUAGE_STATEMENT

          public static final String TYPE_CREATE_LANGUAGE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_OPERATOR_STATEMENT

          public static final String TYPE_CREATE_OPERATOR_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_ROLE_STATEMENT

          public static final String TYPE_CREATE_ROLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_RULE_STATEMENT

          public static final String TYPE_CREATE_RULE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SEQUENCE_STATEMENT

          public static final String TYPE_CREATE_SEQUENCE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SERVER_STATEMENT

          public static final String TYPE_CREATE_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TABLESPACE_STATEMENT

          public static final String TYPE_CREATE_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TEXT_SEARCH_STATEMENT

          public static final String TYPE_CREATE_TEXT_SEARCH_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TRIGGER_STATEMENT

          public static final String TYPE_CREATE_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TYPE_STATEMENT

          public static final String TYPE_CREATE_TYPE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_USER_STATEMENT

          public static final String TYPE_CREATE_USER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_USER_MAPPING_STATEMENT

          public static final String TYPE_CREATE_USER_MAPPING_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_AGGREGATE_STATEMENT

          public static final String TYPE_DROP_AGGREGATE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_CAST_STATEMENT

          public static final String TYPE_DROP_CAST_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT

          public static final String TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_CONVERSION_STATEMENT

          public static final String TYPE_DROP_CONVERSION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_DATABASE_STATEMENT

          public static final String TYPE_DROP_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT

          public static final String TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_FUNCTION_STATEMENT

          public static final String TYPE_DROP_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_GROUP_STATEMENT

          public static final String TYPE_DROP_GROUP_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_INDEX_STATEMENT

          public static final String TYPE_DROP_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_LANGUAGE_STATEMENT

          public static final String TYPE_DROP_LANGUAGE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_OPERATOR_STATEMENT

          public static final String TYPE_DROP_OPERATOR_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_OWNED_BY_STATEMENT

          public static final String TYPE_DROP_OWNED_BY_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_ROLE_STATEMENT

          public static final String TYPE_DROP_ROLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_RULE_STATEMENT

          public static final String TYPE_DROP_RULE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_SEQUENCE_STATEMENT

          public static final String TYPE_DROP_SEQUENCE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_SERVER_STATEMENT

          public static final String TYPE_DROP_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TABLESPACE_STATEMENT

          public static final String TYPE_DROP_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TEXT_SEARCH_STATEMENT

          public static final String TYPE_DROP_TEXT_SEARCH_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TRIGGER_STATEMENT

          public static final String TYPE_DROP_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TYPE_STATEMENT

          public static final String TYPE_DROP_TYPE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_USER_STATEMENT

          public static final String TYPE_DROP_USER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_USER_MAPPING_STATEMENT

          public static final String TYPE_DROP_USER_MAPPING_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_AGGREGATE_STATEMENT

          public static final String TYPE_ALTER_AGGREGATE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_CONVERSION_STATEMENT

          public static final String TYPE_ALTER_CONVERSION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_DATABASE_STATEMENT

          public static final String TYPE_ALTER_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT

          public static final String TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_FUNCTION_STATEMENT

          public static final String TYPE_ALTER_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_GROUP_STATEMENT

          public static final String TYPE_ALTER_GROUP_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_INDEX_STATEMENT

          public static final String TYPE_ALTER_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_LANGUAGE_STATEMENT

          public static final String TYPE_ALTER_LANGUAGE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_OPERATOR_STATEMENT

          public static final String TYPE_ALTER_OPERATOR_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_ROLE_STATEMENT

          public static final String TYPE_ALTER_ROLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_SCHEMA_STATEMENT

          public static final String TYPE_ALTER_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_SEQUENCE_STATEMENT

          public static final String TYPE_ALTER_SEQUENCE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_SERVER_STATEMENT

          public static final String TYPE_ALTER_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TABLESPACE_STATEMENT

          public static final String TYPE_ALTER_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TEXT_SEARCH_STATEMENT

          public static final String TYPE_ALTER_TEXT_SEARCH_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TRIGGER_STATEMENT

          public static final String TYPE_ALTER_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TYPE_STATEMENT

          public static final String TYPE_ALTER_TYPE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_USER_STATEMENT

          public static final String TYPE_ALTER_USER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_USER_MAPPING_STATEMENT

          public static final String TYPE_ALTER_USER_MAPPING_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_VIEW_STATEMENT

          public static final String TYPE_ALTER_VIEW_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TABLE_STATEMENT_POSTGRES

          public static final String TYPE_ALTER_TABLE_STATEMENT_POSTGRES

      See Also:
        Constant Field Values

    - #### TYPE_ABORT_STATEMENT

          public static final String TYPE_ABORT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ANALYZE_STATEMENT

          public static final String TYPE_ANALYZE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CLUSTER_STATEMENT

          public static final String TYPE_CLUSTER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_COMMENT_ON_STATEMENT

          public static final String TYPE_COMMENT_ON_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_COPY_STATEMENT

          public static final String TYPE_COPY_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DEALLOCATE_STATEMENT

          public static final String TYPE_DEALLOCATE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DECLARE_STATEMENT

          public static final String TYPE_DECLARE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_EXPLAIN_STATEMENT

          public static final String TYPE_EXPLAIN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_FETCH_STATEMENT

          public static final String TYPE_FETCH_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_LISTEN_STATEMENT

          public static final String TYPE_LISTEN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_LOAD_STATEMENT

          public static final String TYPE_LOAD_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_LOCK_TABLE_STATEMENT

          public static final String TYPE_LOCK_TABLE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_MOVE_STATEMENT

          public static final String TYPE_MOVE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_NOTIFY_STATEMENT

          public static final String TYPE_NOTIFY_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_PREPARE_STATEMENT

          public static final String TYPE_PREPARE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REASSIGN_OWNED_STATEMENT

          public static final String TYPE_REASSIGN_OWNED_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_REINDEX_STATEMENT

          public static final String TYPE_REINDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RELEASE_SAVEPOINT_STATEMENT

          public static final String TYPE_RELEASE_SAVEPOINT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ROLLBACK_STATEMENT

          public static final String TYPE_ROLLBACK_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_SELECT_INTO_STATEMENT

          public static final String TYPE_SELECT_INTO_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_SHOW_STATEMENT

          public static final String TYPE_SHOW_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_TRUNCATE_STATEMENT

          public static final String TYPE_TRUNCATE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_UNLISTEN_STATEMENT

          public static final String TYPE_UNLISTEN_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_VACUUM_STATEMENT

          public static final String TYPE_VACUUM_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_COMMIT_STATEMENT

          public static final String TYPE_COMMIT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_SEQUENCE_STATEMENT

          public static final String TYPE_GRANT_ON_SEQUENCE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_DATABASE_STATEMENT

          public static final String TYPE_GRANT_ON_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT

          public static final String TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT

          public static final String TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_FUNCTION_STATEMENT

          public static final String TYPE_GRANT_ON_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_LANGUAGE_STATEMENT

          public static final String TYPE_GRANT_ON_LANGUAGE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_SCHEMA_STATEMENT

          public static final String TYPE_GRANT_ON_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ON_TABLESPACE_STATEMENT

          public static final String TYPE_GRANT_ON_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_GRANT_ROLES_STATEMENT

          public static final String TYPE_GRANT_ROLES_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_COLUMN

          public static final String TYPE_RENAME_COLUMN

      See Also:
        Constant Field Values

    - #### SCHEMA_NAME

          public static final String SCHEMA_NAME

      See Also:
        Constant Field Values

    - #### TYPE_FUNCTION_PARAMETER

          public static final String TYPE_FUNCTION_PARAMETER

      See Also:
        Constant Field Values

    - #### FUNCTION_PARAMETER_MODE

          public static final String FUNCTION_PARAMETER_MODE

      See Also:
        Constant Field Values

    - #### ROLE

          public static final String ROLE

      See Also:
        Constant Field Values

    - #### TARGET_OBJECT_TYPE

          public static final String TARGET_OBJECT_TYPE

      See Also:
        Constant Field Values

    - #### TARGET_OBJECT_NAME

          public static final String TARGET_OBJECT_NAME

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final String COMMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PostgresDdlLexicon

          public PostgresDdlLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.